<?php

//Здесь осуществляется вывод элементов формы которые потребуются для настройки блока
//Так же надо учитывать что может вызываться метод редактирования блока, тогда нужно
// все поля заполнить на основе переданной конфигурации блока в переменной $block_config
//Указателем на то, что происходит редактирование блока может служить переменная $a. При
// редактировании она должна иметь значение 'edit'.
//Вы можете использовать переменную $title для изменения заголовка формы.

if(!defined('VALID_RUN')){
	header("HTTP/1.1 404 Not Found");
	exit;
}

$mod_text = '';
if($a == 'edit'){
	$mod_text = SafeDB($block_config, 0, str, false);
}

FormTextRow('Текст', $site->HtmlEditor('mod_text', $mod_text, 600, 400));
$title = 'Конфигурация текстового блока';

?>